peakdetector.h File Reference
`#include <gavl/connectors.h>`

Go to the source code of this file.

## Typedefs

typedef struct gavl_peak_detector_s | gavl_peak_detector_t
| Opaque structure for peak detector.
typedef void(* | gavl_update_peak_callback) (void *priv, int samples, double min, double max, double abs)
| Callback for getting the peaks across all channels.
typedef void(* | gavl_update_peaks_callback) (void *priv, int samples, const double *min, const double *max, const double *abs)
| Callback for getting the peaks for all channels separately.

## Functions

GAVL_PUBLIC gavl_peak_detector_t * | gavl_peak_detector_create (void)
| Create peak detector.
GAVL_PUBLIC void | gavl_peak_detector_set_callbacks (gavl_peak_detector_t *pd, gavl_update_peak_callback peak_callback, gavl_update_peaks_callback peaks_callback, void *priv)
| Set callbacks.
GAVL_PUBLIC void | gavl_peak_detector_destroy (gavl_peak_detector_t *pd)
| Destroys a peak detector and frees all associated memory.
GAVL_PUBLIC void | gavl_peak_detector_set_format (gavl_peak_detector_t *pd, const gavl_audio_format_t *format)
| Set format for a peak detector.
GAVL_PUBLIC const gavl_audio_format_t * | gavl_peak_detector_get_format (gavl_peak_detector_t *pd)
| Get format.
GAVL_PUBLIC void | gavl_peak_detector_update (gavl_peak_detector_t *pd, gavl_audio_frame_t *frame)
| Feed the peak detector with a new frame.
GAVL_PUBLIC gavl_audio_sink_t * | gavl_peak_detector_get_sink (gavl_peak_detector_t *pd)
| Get the audio sink.
GAVL_PUBLIC void | gavl_peak_detector_get_peak (gavl_peak_detector_t *pd, double *min, double *max, double *abs)
| Get the peak volume across all channels.
GAVL_PUBLIC void | gavl_peak_detector_get_peaks (gavl_peak_detector_t *pd, double *min, double *max, double *abs)
| Get the peak volume for all channels separate.
GAVL_PUBLIC void | gavl_peak_detector_reset (gavl_peak_detector_t *pd)
| Reset a peak detector.

## Detailed Description

external api header.